package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class StrukPelayanan
 * 
 * @author Generator
 */
@Entity
@Table(name = "CssdUjiVisual_T")
public class CssdUjiVisual extends BaseTransaction {
	
	@Column(name = "kebersihanALat")
	private String kebersihanAlat;
	
	@Column(name = "kondisiAlat")
	private String kondisiAlat;
	
	@Column(name = "kelenturanAlat")
	private String kelenturanAlat;
	
	@Column(name = "ketajamanAlat")
	private String ketajamanAlat;
	
	@Column(name = "alatBerkarat")
	private String alatBerkarat;
	
	@Column(name = "warnaAlat")
	private String warnaAlat;
	
	@Column(name = "kelayakanAlat")
	private String kelayakanAlat;
	
	@Column(name = "kemampuanMenjepit")
	private String kemampuanMenjepit;
	
	@Column(name = "keutuhanAlat")
	private String keutuhanAlat;
	

	@Column(name = "linenYangDikemas")
	private String linenYangdikemas;
	
	@Column(name = "jamMulaiSterilisasi")
	private Date jamMulaiSterilisasi;
	
	@Column(name = "jamSelesaiSterilisasi")
	private Date jamSelesaiSterilisasi;
	
	@Column(name = "hasilChemicalIndikator")
	private String hasilChemicalIndikator;
	
	@Column(name = "hasilLabelIndikator")
	private String hasilLabelIndikator;
	
	@Column(name = "tindakan")
	private String tindakan;
	
	@ManyToOne
	@JoinColumn(name = "planningPelayanan")
	@Caption(value = "planningPelayanan")
	private PlanningPelayanan planningPelayanan;

	@Column(name = "planningPelayanan", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String planningPelayananId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "petugas")
	@Caption(value = "petugas")
	private Pegawai pegawai;

	@Column(name = "petugas", insertable = false, updatable = false, nullable = true)
	private Integer pegawaiId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "mengetahui")
	@Caption(value = "mengetahui")
	private Pegawai mengetahui;

	@Column(name = "mengetahuiId", insertable = false, updatable = false, nullable = true)
	private Integer mengetahuiId;

	public String getKebersihanAlat() {
		return kebersihanAlat;
	}

	public void setKebersihanAlat(String kebersihanAlat) {
		this.kebersihanAlat = kebersihanAlat;
	}

	public String getKondisiAlat() {
		return kondisiAlat;
	}

	public void setKondisiAlat(String kondisiAlat) {
		this.kondisiAlat = kondisiAlat;
	}

	public String getKelenturanAlat() {
		return kelenturanAlat;
	}

	public void setKelenturanAlat(String kelenturanAlat) {
		this.kelenturanAlat = kelenturanAlat;
	}

	public String getKetajamanAlat() {
		return ketajamanAlat;
	}

	public void setKetajamanAlat(String ketajamanAlat) {
		this.ketajamanAlat = ketajamanAlat;
	}

	public String getAlatBerkarat() {
		return alatBerkarat;
	}

	public void setAlatBerkarat(String alatBerkarat) {
		this.alatBerkarat = alatBerkarat;
	}

	public String getWarnaAlat() {
		return warnaAlat;
	}

	public void setWarnaAlat(String warnaAlat) {
		this.warnaAlat = warnaAlat;
	}

	public String getKelayakanAlat() {
		return kelayakanAlat;
	}

	public void setKelayakanAlat(String kelayakanAlat) {
		this.kelayakanAlat = kelayakanAlat;
	}

	public String getKemampuanMenjepit() {
		return kemampuanMenjepit;
	}

	public void setKemampuanMenjepit(String kemampuanMenjepit) {
		this.kemampuanMenjepit = kemampuanMenjepit;
	}

	public String getKeutuhanAlat() {
		return keutuhanAlat;
	}

	public void setKeutuhanAlat(String keutuhanAlat) {
		this.keutuhanAlat = keutuhanAlat;
	}

	public String getLinenYangdikemas() {
		return linenYangdikemas;
	}

	public void setLinenYangdikemas(String linenYangdikemas) {
		this.linenYangdikemas = linenYangdikemas;
	}

	public Date getJamMulaiSterilisasi() {
		return jamMulaiSterilisasi;
	}

	public void setJamMulaiSterilisasi(Date jamMulaiSterilisasi) {
		this.jamMulaiSterilisasi = jamMulaiSterilisasi;
	}

	public Date getJamSelesaiSterilisasi() {
		return jamSelesaiSterilisasi;
	}

	public void setJamSelesaiSterilisasi(Date jamSelesaiSterilisasi) {
		this.jamSelesaiSterilisasi = jamSelesaiSterilisasi;
	}

	public String getHasilChemicalIndikator() {
		return hasilChemicalIndikator;
	}

	public void setHasilChemicalIndikator(String hasilChemicalIndikator) {
		this.hasilChemicalIndikator = hasilChemicalIndikator;
	}

	public String getHasilLabelIndikator() {
		return hasilLabelIndikator;
	}

	public void setHasilLabelIndikator(String hasilLabelIndikator) {
		this.hasilLabelIndikator = hasilLabelIndikator;
	}

	public String getTindakan() {
		return tindakan;
	}

	public void setTindakan(String tindakan) {
		this.tindakan = tindakan;
	}

	public PlanningPelayanan getPlanningPelayanan() {
		return planningPelayanan;
	}

	public void setPlanningPelayanan(PlanningPelayanan planningPelayanan) {
		this.planningPelayanan = planningPelayanan;
	}

	public String getPlanningPelayananId() {
		return planningPelayananId;
	}

	public void setPlanningPelayananId(String planningPelayananId) {
		this.planningPelayananId = planningPelayananId;
	}

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public Pegawai getMengetahui() {
		return mengetahui;
	}

	public void setMengetahui(Pegawai mengetahui) {
		this.mengetahui = mengetahui;
	}

	public Integer getMengetahuiId() {
		return mengetahuiId;
	}

	public void setMengetahuiId(Integer mengetahuiId) {
		this.mengetahuiId = mengetahuiId;
	}	
	
	

	
}
